Notice: We have migrated to GitLab launching 2024-05-01 see here: https://gitlab.rtems.org/

#4553 closed defect (fixed)

Adapt improved mailer.py for rtems-tools 5 branch

Reported by: Ryan Long Owned by: Alex White <alex.white@…>
Priority: normal Milestone: 5.1
Component: tool Version: 5
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

Adapted the patch applied to master to fix mail support for rtems-tools so that it works with the 5 branch.

Change History (7)

comment:1 Changed on 12/01/21 at 16:27:41 by Ryan Long

Summary: Adapt improved mailer.pyAdapt improved mailer.py for rtems-tools

comment:2 Changed on 12/01/21 at 16:36:11 by Ryan Long

Summary: Adapt improved mailer.py for rtems-toolsAdapt improved mailer.py for rtems-tools 5 branch

comment:3 Changed on 12/16/21 at 21:26:51 by Alex White <alex.white@…>

In [changeset:"56779ecee295aa54f397438b98d832de04e96862/rtems-tools" 56779ec/rtems-tools]:

rtemstoolkit/mailer.py: Return full smtp-host arg value

This fixes mail.smtp_host() so that it returns the full argument value
rather than just the second character.

Updates #4553

comment:4 Changed on 12/16/21 at 21:26:53 by Alex White <alex.white@…>

In [changeset:"6759c3ce837a43cd2047e5c162891d780fb9246d/rtems-tools" 6759c3c/rtems-tools]:

rtemstoolkit: Filter mail options from log output

This filters mail-related options out before logging the command line
options. This is needed to prevent leaking potentially sensitive
information via logs and emails.

Updates #4553

comment:5 Changed on 12/16/21 at 21:26:56 by Alex White <alex.white@…>

In [changeset:"a7efe4a2691404922bac240c2de35b936215c47b/rtems-tools" a7efe4a/rtems-tools]:

rtemstoolkit/mailer.py: Add SMTP login options

This adds more options so that the user can authenticate with the SMTP
server.

Updates #4553

comment:6 Changed on 12/16/21 at 21:26:59 by Alex White <alex.white@…>

In [changeset:"f7f1a3e69d21519f71a170e28e4518b4cac9c8f1/rtems-tools" f7f1a3e/rtems-tools]:

rtemstoolkit/mailer.py: Add --use-gitconfig option

This adds the option to pull mail-related configuration values from the
user's git configuration.

Updates #4553

comment:7 Changed on 12/16/21 at 21:27:01 by Alex White <alex.white@…>

Owner: set to Alex White <alex.white@…>
Resolution: fixed
Status: newclosed

In [changeset:"bdd785a39769d0b59a651171e98532d6783a283a/rtems-tools" bdd785a/rtems-tools]:

rtems-bsp-builder: Fix mail support

This fixes a problem with mailer options support that occurred because
check.py uses argparse.ArgumentParser? instead of tester.rt.options.

Closes #4553

Note: See TracTickets for help on using tickets.